Get VPC
curl --request GET \
--url https://api.coreweave.com/v1beta1/networking/vpcs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coreweave.com/v1beta1/networking/vpcs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coreweave.com/v1beta1/networking/vpcs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vpc": {
"name": "<string>",
"zone": "<string>",
"id": "<string>",
"vpcPrefixes": [
{
"name": "<string>",
"value": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hostPrefix": "<string>",
"hostPrefixes": [
{
"name": "<string>",
"prefixes": [
"<string>"
],
"ipam": {
"prefixLength": 123
}
}
],
"ingress": {
"disablePublicServices": true
},
"egress": {
"disablePublicAccess": true
},
"dhcp": {
"dns": {
"servers": [
"<string>"
]
}
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Fetch a single CoreWeave VPC by its unique ID.
GET
/
v1beta1
/
networking
/
vpcs
/
{id}
Get VPC
- The API server is
https://api.coreweave.com. - Replace
{API_ACCESS_TOKEN}with your CoreWeave API access token. - For required permissions, see IAM Access Policies.
{id} with the VPC ID returned from List VPCs or
Create VPC.
Example request
curl -X GET https://api.coreweave.com/v1beta1/networking/vpcs/{id} \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {API_ACCESS_TOKEN}"
Last modified on May 22, 2026
Was this page helpful?
⌘I